
QGIS Application - Bug report #16154

Feature disappearing when saving edits

2017-02-06 05:36 AM - Jérôme Guélat

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:2.18.2 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 24066

Description

One colleague and I had problems with disappearing features when saving an edit session... Here's how to reproduce the problem:

1. Add the shapefile attached to this ticket (it was exported from ArcMap, I don't know if this is the cause of the problem)

2. Zoom in (I used one zooming step with the mouse wheel)

3. Start editing, add one feature, stop editing, save edits

4. Start editing again, add another feature, stop editing, save edits

5. The feature created at step 4 will disappear from the map but it will still be available in the attribute table

Surprisingly, the problem doesn't happen if you don't zoom in (see step 2). To see the new feature you need to either right-click on the

layer and select "zoom to layer" or to add the shapefile a second time to the canvas. Hitting refresh or zooming manually doesn't help... I

think this is a regression since we never had similar problems with older versions.

This happens on Windows with QGIS 2.14.11, 2.18.2, 2.18.3 (OGR/GDAL 2.1.2 and 2.1.3).

History

#1 - 2017-02-07 03:52 AM - Saber Razmjooei

- Category set to Digitising

#2 - 2017-02-28 03:39 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to invalid

remove the .sbn and .sbx spatial indexes created by esri and there will be no issue (well... maybe a new issue should be filed... qgis should handle better

those indexes).

#3 - 2017-02-28 04:53 AM - Ger CO

- Status changed from Closed to Reopened

I am having the same issue+ double features when saving edits. extremely scary and and very severe issue

#4 - 2017-02-28 11:18 AM - Giovanni Manghi

- Status changed from Reopened to Closed
Ger CO wrote:

I am having the same issue+ double features when saving edits. extremely scary and and very severe issue

qgis version? platform? datasource? sample data?

please do not reopen a the tickets unless we know it is the same exact problem. Leave here as much details as you can, then if necessary I will reopen.

#5 - 2017-02-28 11:40 AM - Ger CO

Giovanni Manghi wrote:

Ger CO wrote:

I am having the same issue+ double features when saving edits. extremely scary and and very severe issue

qgis version? platform? datasource? sample data?

please do not reopen a the tickets unless we know it is the same exact problem. Leave here as much details as you can, then if necessary I will

reopen.

Sorry for being to brief in explaining! I am on win 7 64 bit (2.16.12 / 2.18.3/4). I have had this behavior for months now and it is crucial. It affects shapefiles

(either created in ArcGIS or QGIS). The problem is very severe when user do´t know they have to close and reopen the attribute table after saving edits.

Otherwise data is usually corrupted, attributes and links get messed up completely. But even if you know how to behave without messung up your data, it is

just annoying to handle attribute tables like that... and as much as I like QGIS, this makes me feel uncomfortable editing important data. Hence, this issue

is really severe and closing this ticket is notthe right solution in my oppinion. Using the data source attached by the thread opener one can observe this

behavior very clearly. Again: this affects all shapefiles (at least on windows).

#6 - 2017-02-28 12:40 PM - Giovanni Manghi

Again: this affects all shapefiles (at least on windows).

Can you attach a sample of data? I ask because seems obvious that this is not a general issue, otherwise we would have heard a lot more about that.

Have you tried disabling or removing all the 3rd party plugins (and then restart qgis of course)? There are ones that are known to mess up things a lot.

Thanks!

#7 - 2017-02-28 12:54 PM - Ger CO

Giovanni Manghi wrote:

Again: this affects all shapefiles (at least on windows).

Can you attach a sample of data? I ask because seems obvious that this is not a general issue, otherwise we would have heard a lot more about

that.

Have you tried disabling or removing all the 3rd party plugins (and then restart qgis of course)? There are ones that are known to mess up things a

lot.
Thanks!

I will share a dataset and screen recording. I can confirm this behavior when all external plugins are disabled. It seems that this issue is consistently found

only when attribute table is opened as dock! Can you confirm this behavior under this circumstance? Thanks for your feedback

#8 - 2017-02-28 01:09 PM - Giovanni Manghi

I will share a dataset and screen recording. I can confirm this behavior when all external plugins are disabled. It seems that this issue is consistently

found only when attribute table is opened as dock! Can you confirm this behavior under this circumstance? Thanks for your feedback

just tested with different shapefiles, and cannot confirm.

#9 - 2017-02-28 01:25 PM - Ger CO

- File shape.zip added

Giovanni Manghi wrote:

I will share a dataset and screen recording. I can confirm this behavior when all external plugins are disabled. It seems that this issue is

consistently found only when attribute table is opened as dock! Can you confirm this behavior under this circumstance? Thanks for your feedback

just tested with different shapefiles, and cannot confirm.

Maybe, it is an encoding problem.... As a German citizen I usually work in UTF-8, latin1, and iso 8859-1 for shapefiles. Attached you will find a shapefile I

just generated in QGIS (maybe set the encoding to one of the three options I mentioned). As soon as you add a polygon and save the edits you might see

the phenomenon of duplicated or disappearing features. Thanks a lot for your  help!

#10 - 2017-02-28 01:42 PM - Giovanni Manghi

Maybe, it is an encoding problem.... As a German citizen I usually work in UTF-8, latin1, and iso 8859-1 for shapefiles. Attached you will find a

shapefile I just generated in QGIS (maybe set the encoding to one of the three options I mentioned). As soon as you add a polygon and save the

edits you might see the phenomenon of duplicated or disappearing features. Thanks a lot for your  help!

tried all you suggest, with the shape you provided, on two different operating systems (Windows and Linux) and no problems whatsoever.

I sometimes miss something obvious in issue reports like this one, but more frequently this symptoms are indicating a local issue. Not sure what of the two

is in this case, but unless a clear way to replicate the problem on different machines is found let's keep this closed. If you can try on a different machine,

possibly in a clean environment/installations would be great. Thanks!

#11 - 2017-02-28 01:48 PM - Ger CO

Giovanni Manghi wrote:

Maybe, it is an encoding problem.... As a German citizen I usually work in UTF-8, latin1, and iso 8859-1 for shapefiles. Attached you will find a

shapefile I just generated in QGIS (maybe set the encoding to one of the three options I mentioned). As soon as you add a polygon and save the

edits you might see the phenomenon of duplicated or disappearing features. Thanks a lot for your  help!
tried all you suggest, with the shape you provided, on two different operating systems (Windows and Linux) and no problems whatsoever.

I sometimes miss something obvious in issue reports like this one, but more frequently this symptoms are indicating a local issue. Not sure what of

the two is in this case, but unless a clear way to replicate the problem on different machines is found let's keep this closed. If you can try on a

different machine, possibly in a clean environment/installations would be great. Thanks!

That is sad, since I am currently on three individual machines: two with win7 64, one with win 10 64. It´s the same on all my machines. And same counts

for my collegues at work. I am telling the truth! Really strange. Thanks anyway

#12 - 2017-02-28 01:54 PM - Giovanni Manghi

That is sad, since I am currently on three individual machines: two with win7 64, one with win 10 64. It´s the same on all my machines. And same

counts for my collegues at work. I am telling the truth! Really strange. Thanks anyway

so maybe is me :) anyway, the test on a clean system would tell us a lot, is doable?

#13 - 2017-02-28 02:01 PM - Ger CO

Giovanni Manghi wrote:

That is sad, since I am currently on three individual machines: two with win7 64, one with win 10 64. It´s the same on all my machines. And same

counts for my collegues at work. I am telling the truth! Really strange. Thanks anyway

so maybe is me :) anyway, the test on a clean system would tell us a lot, is doable?

The windows 10 installation is just one month old, but I can certainly redo it! Just out of interest, I checked the behavior for geopackages. It seems these

errors do not apply to that file format.

#14 - 2017-02-28 02:12 PM - Giovanni Manghi

The windows 10 installation is just one month old, but I can certainly redo it!

I appreciate it. Very curious to see what happens on clean enviroment. Please test with 1) a shape created from scratch on the new installation 2) a shape

created (and handled) previously only with QGIS 3) a shape created and handled previously only with another gis package (arcgis?)

of course install 2.18.4

Just out of interest, I checked the behavior for geopackages. It seems these errors do not apply to that file format.

interesting

#15 - 2017-02-28 02:15 PM - Ger CO

Giovanni Manghi wrote:
The windows 10 installation is just one month old, but I can certainly redo it!

I appreciate it. Very curious to see what happens on clean enviroment. Please test with 1) a shape created from scratch on the new installation 2) a

shape created (and handled) previously only with QGIS 3) a shape created and handled previously only with another gis package (arcgis?)

of course install 2.18.4

Just out of interest, I checked the behavior for geopackages. It seems these errors do not apply to that file format.

interesting

Will do so and be back with the results on the weekend! Thanks

#16 - 2017-02-28 02:25 PM - Giovanni Manghi

Will do so and be back with the results on the weekend! Thanks

by the way, I also cannot confirm yours #16236 too

Files

testshape.zip 29.6 KB 2017-02-06 Jérôme Guélat

shape.zip 1.71 KB 2017-02-28 Ger CO
